public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/gnat-gpl/
Date: Fri,  7 Oct 2022 18:38:13 +0000 (UTC)	[thread overview]
Message-ID: <1665167860.7b614cbbb7514d643f8c0ca9173195c013c3c885.tupone@gentoo> (raw)

commit:     7b614cbbb7514d643f8c0ca9173195c013c3c885
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  7 18:37:40 2022 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Oct  7 18:37:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b614cbb

dev-lang/gnat-gpl: do not use which

Closes: https://bugs.gentoo.org/844088

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-lang/gnat-gpl/gnat-gpl-2020.ebuild    | 14 +++++++-------
 dev-lang/gnat-gpl/gnat-gpl-2021-r1.ebuild | 13 ++++++-------
 dev-lang/gnat-gpl/gnat-gpl-2021-r4.ebuild | 12 ++++++------
 3 files changed, 19 insertions(+), 20 deletions(-)

diff --git a/dev-lang/gnat-gpl/gnat-gpl-2020.ebuild b/dev-lang/gnat-gpl/gnat-gpl-2020.ebuild
index 7c3e1675fbdc..efc7ef0e3532 100644
--- a/dev-lang/gnat-gpl/gnat-gpl-2020.ebuild
+++ b/dev-lang/gnat-gpl/gnat-gpl-2020.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -103,12 +103,12 @@ src_prepare() {
 		GNATLS="${gnatpath}/${GNATLS}"
 	fi
 	mkdir bin || die
-	ln -s $(which ${GCC}) bin/gcc || die
-	ln -s $(which ${CXX}) bin/g++ || die
-	ln -s $(which ${GNATMAKE}) bin/gnatmake || die
-	ln -s $(which ${GNATBIND}) bin/gnatbind || die
-	ln -s $(which ${GNATLINK}) bin/gnatlink || die
-	ln -s $(which ${GNATLS}) bin/gnatls || die
+	ln -s $(type -P ${GCC}) bin/gcc || die
+	ln -s $(type -P ${CXX}) bin/g++ || die
+	ln -s $(type -P ${GNATMAKE}) bin/gnatmake || die
+	ln -s $(type -P ${GNATBIND}) bin/gnatbind || die
+	ln -s $(type -P ${GNATLINK}) bin/gnatlink || die
+	ln -s $(type -P ${GNATLS}) bin/gnatls || die
 
 	cd ..
 	mv ${GNATDIR}/src/ada ${MYP}/gcc/ || die

diff --git a/dev-lang/gnat-gpl/gnat-gpl-2021-r1.ebuild b/dev-lang/gnat-gpl/gnat-gpl-2021-r1.ebuild
index 02da8f27ec3a..7e9e65beb91e 100644
--- a/dev-lang/gnat-gpl/gnat-gpl-2021-r1.ebuild
+++ b/dev-lang/gnat-gpl/gnat-gpl-2021-r1.ebuild
@@ -45,7 +45,6 @@ KEYWORDS="amd64 x86"
 IUSE="+ada +bootstrap"
 RESTRICT="test"
 
-RDEPEND="!~sys-devel/gcc-${TOOLCHAIN_GCC_PV}"
 BDEPEND=sys-devel/binutils
 
 S="${WORKDIR}"/${MYP}
@@ -106,12 +105,12 @@ src_prepare() {
 		GNATLS="${gnatpath}/${GNATLS}"
 	fi
 	mkdir bin || die
-	ln -s $(which ${GCC}) bin/gcc || die
-	ln -s $(which ${CXX}) bin/g++ || die
-	ln -s $(which ${GNATMAKE}) bin/gnatmake || die
-	ln -s $(which ${GNATBIND}) bin/gnatbind || die
-	ln -s $(which ${GNATLINK}) bin/gnatlink || die
-	ln -s $(which ${GNATLS}) bin/gnatls || die
+	ln -s $(type -P ${GCC}) bin/gcc || die
+	ln -s $(type -P ${CXX}) bin/g++ || die
+	ln -s $(type -P ${GNATMAKE}) bin/gnatmake || die
+	ln -s $(type -P ${GNATBIND}) bin/gnatbind || die
+	ln -s $(type -P ${GNATLINK}) bin/gnatlink || die
+	ln -s $(type -P ${GNATLS}) bin/gnatls || die
 
 	cd ..
 	mv ${GNATDIR}/src/ada ${MYP}/gcc/ || die

diff --git a/dev-lang/gnat-gpl/gnat-gpl-2021-r4.ebuild b/dev-lang/gnat-gpl/gnat-gpl-2021-r4.ebuild
index 1d550e0fd45b..3634ffe8e48e 100644
--- a/dev-lang/gnat-gpl/gnat-gpl-2021-r4.ebuild
+++ b/dev-lang/gnat-gpl/gnat-gpl-2021-r4.ebuild
@@ -103,12 +103,12 @@ src_prepare() {
 		GNATLS="${gnatpath}/${GNATLS}"
 	fi
 	mkdir bin || die
-	ln -s $(which ${GCC}) bin/gcc || die
-	ln -s $(which ${CXX}) bin/g++ || die
-	ln -s $(which ${GNATMAKE}) bin/gnatmake || die
-	ln -s $(which ${GNATBIND}) bin/gnatbind || die
-	ln -s $(which ${GNATLINK}) bin/gnatlink || die
-	ln -s $(which ${GNATLS}) bin/gnatls || die
+	ln -s $(type -P ${GCC}) bin/gcc || die
+	ln -s $(type -P ${CXX}) bin/g++ || die
+	ln -s $(type -P ${GNATMAKE}) bin/gnatmake || die
+	ln -s $(type -P ${GNATBIND}) bin/gnatbind || die
+	ln -s $(type -P ${GNATLINK}) bin/gnatlink || die
+	ln -s $(type -P ${GNATLS}) bin/gnatls || die
 
 	cd ..
 	mv ${GNATDIR}/src/ada ${MYP}/gcc/ || die


             reply	other threads:[~2022-10-07 18:38 UTC|newest]

Thread overview: 82+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-07 18:38 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-02  0:53 [gentoo-commits] repo/gentoo:master commit in: dev-lang/gnat-gpl/ Sam James
2024-09-29  0:18 Sam James
2024-09-18 15:55 Sam James
2024-09-18 15:51 Sam James
2024-05-09 23:29 Sam James
2024-03-13 19:23 Alfredo Tupone
2024-03-05 10:54 Alfredo Tupone
2024-03-02 16:24 Alfredo Tupone
2024-01-12 11:08 Sam James
2022-12-15 22:27 Alfredo Tupone
2022-11-29 17:33 Alfredo Tupone
2022-11-16 13:17 Alfredo Tupone
2022-11-14  9:49 Joonas Niilola
2022-11-13  8:56 Alfredo Tupone
2022-11-07 17:50 Alfredo Tupone
2022-11-06  8:10 Agostino Sarubbo
2022-09-30 16:51 Alfredo Tupone
2022-02-28 10:46 Alfredo Tupone
2022-02-27  8:19 Alfredo Tupone
2022-01-30 11:02 Alfredo Tupone
2022-01-03 17:11 Alfredo Tupone
2021-12-26 18:15 Jakov Smolić
2021-12-26 17:52 Jakov Smolić
2021-12-19 22:09 Agostino Sarubbo
2021-12-18 21:50 Alfredo Tupone
2021-12-17 13:06 Alfredo Tupone
2021-11-27 20:39 Sam James
2021-11-27 20:15 Sam James
2021-11-10  1:00 Sam James
2021-11-09 21:14 Alfredo Tupone
2021-07-20 16:56 Alfredo Tupone
2021-07-20  6:33 Agostino Sarubbo
2021-05-30 13:46 Alfredo Tupone
2021-05-19 17:34 Alfredo Tupone
2021-05-12 19:47 Alfredo Tupone
2020-06-12 17:18 Alfredo Tupone
2020-06-12  7:55 Agostino Sarubbo
2020-06-12  7:51 Agostino Sarubbo
2020-06-10 20:46 Alfredo Tupone
2020-04-13 11:20 Alfredo Tupone
2020-04-12 16:36 Alfredo Tupone
2020-04-04 19:17 Alfredo Tupone
2020-02-03 20:07 Alfredo Tupone
2019-11-25 21:30 Alfredo Tupone
2019-11-23 17:52 Alfredo Tupone
2019-11-23  8:13 Alfredo Tupone
2019-11-22 12:03 Alfredo Tupone
2019-11-21 21:09 Alfredo Tupone
2019-11-06 19:40 Alfredo Tupone
2019-10-03 18:53 Alfredo Tupone
2019-09-16  6:26 Alfredo Tupone
2019-09-15 14:55 Michał Górny
2019-09-15 14:55 Michał Górny
2019-07-27  6:48 Alfredo Tupone
2019-07-26 21:03 Alfredo Tupone
2019-05-28  6:22 Alfredo Tupone
2019-05-28  6:21 Alfredo Tupone
2019-04-20 20:21 Alfredo Tupone
2018-12-19  7:01 Alfredo Tupone
2018-11-18 21:05 Alfredo Tupone
2018-11-17 14:10 Alfredo Tupone
2018-11-07  6:55 Alfredo Tupone
2018-10-31 13:56 Alfredo Tupone
2018-10-09  6:30 Alfredo Tupone
2018-07-30  6:12 Alfredo Tupone
2018-06-25 10:37 Alfredo Tupone
2018-06-25  7:39 Alfredo Tupone
2018-04-21  7:52 Alfredo Tupone
2018-04-20  6:24 Alfredo Tupone
2018-02-26 17:45 Alfredo Tupone
2018-02-25 14:26 Alfredo Tupone
2017-12-31 14:14 Alfredo Tupone
2017-11-26 18:36 Alfredo Tupone
2017-11-25 20:38 Alfredo Tupone
2017-09-16  9:25 Sergei Trofimovich
2017-06-20  7:47 Alfredo Tupone
2017-05-24 20:50 Alfredo Tupone
2017-05-09 19:43 Alfredo Tupone
2017-03-19 15:35 Alfredo Tupone
2017-03-19  9:49 Alfredo Tupone
2017-03-16  8:27 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1665167860.7b614cbbb7514d643f8c0ca9173195c013c3c885.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox